Package org.eclipse.emf.cdo.common.commit.handler

# Class TextCommitInfoLog

java.lang.Object
org.eclipse.emf.cdo.common.commit.handler.TextCommitInfoLog

All Implemented Interfaces:
  `CDOCommitInfoHandler`

public class TextCommitInfoLog extends Object implements CDOCommitInfoHandler
A `commit info handler` that synchronously writes `commit infos` to a text log.

Since:
  4.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`TextCommitInfoLog(OutputStream stream)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCommitInfo(CDOCommitInfo commitInfo)`
`protected void`
`handleException(Exception ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextCommitInfoLog

public TextCommitInfoLog(OutputStream stream)

## Method Details

### handleCommitInfo

public void handleCommitInfo(CDOCommitInfo commitInfo)

Specified by:
  `handleCommitInfo` in interface `CDOCommitInfoHandler`

### handleException

protected void handleException(Exception ex)